org.apache.activemq.artemis.jms.client

## Class ActiveMQStreamMessage

- java.lang.Object
- - org.apache.activemq.artemis.jms.client.ActiveMQMessage
  - - org.apache.activemq.artemis.jms.client.ActiveMQStreamMessage

- All Implemented Interfaces:
    javax.jms.Message, javax.jms.StreamMessage
  Direct Known Subclasses:
    ActiveMQStreamCompatibleMessage

      public class ActiveMQStreamMessage
      extends ActiveMQMessage
      implements javax.jms.StreamMessage

  ActiveMQ Artemis implementation of a JMS StreamMessage.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static byte` | `TYPE`

    - ### Fields inherited from class org.apache.activemq.artemis.jms.client.ActiveMQMessage

      `message, OLD_QUEUE_QUALIFIED_PREFIX, OLD_TEMP_QUEUE_QUALIFED_PREFIX, OLD_TEMP_TOPIC_QUALIFED_PREFIX, OLD_TOPIC_QUALIFIED_PREFIX, propertiesReadOnly, readOnly, replyTo`

    - ### Fields inherited from interface javax.jms.Message

      `DEFAULT_DELIVERY_DELAY, DEFAULT_DELIVERY_MODE, DEFAULT_PRIORITY, DEFAULT_TIME_TO_LIVE`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `ActiveMQStreamMessage()`
    `protected` | `ActiveMQStreamMessage(ClientMessage message, ClientSession session)`
    `protected` | `ActiveMQStreamMessage(ClientSession session)`
    `` | `ActiveMQStreamMessage(javax.jms.StreamMessage foreign, ClientSession session)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clearBody()`
    `void` | `doBeforeSend()`
    `byte` | `getType()`
    `boolean` | `isBodyAssignableTo(Class c)`
    `boolean` | `readBoolean()`
    `byte` | `readByte()`
    `int` | `readBytes(byte[] value)`
    `char` | `readChar()`
    `double` | `readDouble()`
    `float` | `readFloat()`
    `int` | `readInt()`
    `long` | `readLong()`
    `Object` | `readObject()`
    `short` | `readShort()`
    `String` | `readString()`
    `void` | `reset()`
    `void` | `writeBoolean(boolean value)`
    `void` | `writeByte(byte value)`
    `void` | `writeBytes(byte[] value)`
    `void` | `writeBytes(byte[] value, int offset, int length)`
    `void` | `writeChar(char value)`
    `void` | `writeDouble(double value)`
    `void` | `writeFloat(float value)`
    `void` | `writeInt(int value)`
    `void` | `writeLong(long value)`
    `void` | `writeObject(Object value)`
    `void` | `writeShort(short value)`
    `void` | `writeString(String value)`

    - ### Methods inherited from class org.apache.activemq.artemis.jms.client.ActiveMQMessage

      `acknowledge, checkBuffer, checkPrefix, checkPrefixStr, checkRead, checkWrite, clearProperties, coreCompositeTypeToJMSCompositeType, coreMaptoJMSMap, createMessage, createMessage, doBeforeReceive, getBody, getBodyInternal, getBooleanProperty, getByteProperty, getCoreMessage, getDoubleProperty, getFloatProperty, getIntProperty, getJMSCorrelationID, getJMSCorrelationIDAsBytes, getJMSDeliveryMode, getJMSDeliveryTime, getJMSDestination, getJMSExpiration, getJMSMessageID, getJMSPriority, getJMSRedelivered, getJMSReplyTo, getJMSTimestamp, getJMSType, getLongProperty, getObjectProperty, getPropertyNames, getShortProperty, getStringProperty, hasNoBody, prefixOf, propertyExists, resetMessageID, saveToOutputStream, setBooleanProperty, setByteProperty, setClientAcknowledge, setDoubleProperty, setFloatProperty, setIndividualAcknowledge, setInputStream, setIntProperty, setJMSCorrelationID, setJMSCorrelationIDAsBytes, setJMSDeliveryMode, setJMSDeliveryTime, setJMSDestination, setJMSExpiration, setJMSMessageID, setJMSPriority, setJMSRedelivered, setJMSReplyTo, setJMSTimestamp, setJMSType, setLongProperty, setObjectProperty, setOutputStream, setShortProperty, setStringProperty, toString, waitCompletionOnStream`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface javax.jms.Message

      `acknowledge, clearProperties, getBody, getBooleanProperty, getByteProperty, getDoubleProperty, getFloatProperty, getIntProperty, getJMSCorrelationID, getJMSCorrelationIDAsBytes, getJMSDeliveryMode, getJMSDeliveryTime, getJMSDestination, getJMSExpiration, getJMSMessageID, getJMSPriority, getJMSRedelivered, getJMSReplyTo, getJMSTimestamp, getJMSType, getLongProperty, getObjectProperty, getPropertyNames, getShortProperty, getStringProperty, propertyExists, setBooleanProperty, setByteProperty, setDoubleProperty, setFloatProperty, setIntProperty, setJMSCorrelationID, setJMSCorrelationIDAsBytes, setJMSDeliveryMode, setJMSDeliveryTime, setJMSDestination, setJMSExpiration, setJMSMessageID, setJMSPriority, setJMSRedelivered, setJMSReplyTo, setJMSTimestamp, setJMSType, setLongProperty, setObjectProperty, setShortProperty, setStringProperty`

- - ### Field Detail

    - #### TYPE

          public static final byte TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ActiveMQStreamMessage

          protected ActiveMQStreamMessage(ClientSession session)

    - #### ActiveMQStreamMessage

          protected ActiveMQStreamMessage(ClientMessage message,
                                          ClientSession session)

    - #### ActiveMQStreamMessage

          public ActiveMQStreamMessage(javax.jms.StreamMessage foreign,
                                       ClientSession session)
                                throws javax.jms.JMSException

      Throws:
        `javax.jms.JMSException`

    - #### ActiveMQStreamMessage

          public ActiveMQStreamMessage()

  - ### Method Detail

    - #### getType

          public byte getType()

      Overrides:
        `getType` in class `ActiveMQMessage`

    - #### readBoolean

          public boolean readBoolean()
                              throws javax.jms.JMSException

      Specified by:
        `readBoolean` in interface `javax.jms.StreamMessage`
      Throws:
        `javax.jms.JMSException`

    - #### readByte

          public byte readByte()
                        throws javax.jms.JMSException

      Specified by:
        `readByte` in interface `javax.jms.StreamMessage`
      Throws:
        `javax.jms.JMSException`

    - #### readShort

          public short readShort()
                          throws javax.jms.JMSException

      Specified by:
        `readShort` in interface `javax.jms.StreamMessage`
      Throws:
        `javax.jms.JMSException`

    - #### readChar

          public char readChar()
                        throws javax.jms.JMSException

      Specified by:
        `readChar` in interface `javax.jms.StreamMessage`
      Throws:
        `javax.jms.JMSException`

    - #### readInt

          public int readInt()
                      throws javax.jms.JMSException

      Specified by:
        `readInt` in interface `javax.jms.StreamMessage`
      Throws:
        `javax.jms.JMSException`

    - #### readLong

          public long readLong()
                        throws javax.jms.JMSException

      Specified by:
        `readLong` in interface `javax.jms.StreamMessage`
      Throws:
        `javax.jms.JMSException`

    - #### readFloat

          public float readFloat()
                          throws javax.jms.JMSException

      Specified by:
        `readFloat` in interface `javax.jms.StreamMessage`
      Throws:
        `javax.jms.JMSException`

    - #### readDouble

          public double readDouble()
                            throws javax.jms.JMSException

      Specified by:
        `readDouble` in interface `javax.jms.StreamMessage`
      Throws:
        `javax.jms.JMSException`

    - #### readString

          public String readString()
                            throws javax.jms.JMSException

      Specified by:
        `readString` in interface `javax.jms.StreamMessage`
      Throws:
        `javax.jms.JMSException`

    - #### readBytes

          public int readBytes(byte[] value)
                        throws javax.jms.JMSException

      Specified by:
        `readBytes` in interface `javax.jms.StreamMessage`
      Throws:
        `javax.jms.JMSException`

    - #### readObject

          public Object readObject()
                            throws javax.jms.JMSException

      Specified by:
        `readObject` in interface `javax.jms.StreamMessage`
      Throws:
        `javax.jms.JMSException`

    - #### writeBoolean

          public void writeBoolean(boolean value)
                            throws javax.jms.JMSException

      Specified by:
        `writeBoolean` in interface `javax.jms.StreamMessage`
      Throws:
        `javax.jms.JMSException`

    - #### writeByte

          public void writeByte(byte value)
                         throws javax.jms.JMSException

      Specified by:
        `writeByte` in interface `javax.jms.StreamMessage`
      Throws:
        `javax.jms.JMSException`

    - #### writeShort

          public void writeShort(short value)
                          throws javax.jms.JMSException

      Specified by:
        `writeShort` in interface `javax.jms.StreamMessage`
      Throws:
        `javax.jms.JMSException`

    - #### writeChar

          public void writeChar(char value)
                         throws javax.jms.JMSException

      Specified by:
        `writeChar` in interface `javax.jms.StreamMessage`
      Throws:
        `javax.jms.JMSException`

    - #### writeInt

          public void writeInt(int value)
                        throws javax.jms.JMSException

      Specified by:
        `writeInt` in interface `javax.jms.StreamMessage`
      Throws:
        `javax.jms.JMSException`

    - #### writeLong

          public void writeLong(long value)
                         throws javax.jms.JMSException

      Specified by:
        `writeLong` in interface `javax.jms.StreamMessage`
      Throws:
        `javax.jms.JMSException`

    - #### writeFloat

          public void writeFloat(float value)
                          throws javax.jms.JMSException

      Specified by:
        `writeFloat` in interface `javax.jms.StreamMessage`
      Throws:
        `javax.jms.JMSException`

    - #### writeDouble

          public void writeDouble(double value)
                           throws javax.jms.JMSException

      Specified by:
        `writeDouble` in interface `javax.jms.StreamMessage`
      Throws:
        `javax.jms.JMSException`

    - #### writeString

          public void writeString(String value)
                           throws javax.jms.JMSException

      Specified by:
        `writeString` in interface `javax.jms.StreamMessage`
      Throws:
        `javax.jms.JMSException`

    - #### writeBytes

          public void writeBytes(byte[] value)
                          throws javax.jms.JMSException

      Specified by:
        `writeBytes` in interface `javax.jms.StreamMessage`
      Throws:
        `javax.jms.JMSException`

    - #### writeBytes

          public void writeBytes(byte[] value,
                                 int offset,
                                 int length)
                          throws javax.jms.JMSException

      Specified by:
        `writeBytes` in interface `javax.jms.StreamMessage`
      Throws:
        `javax.jms.JMSException`

    - #### writeObject

          public void writeObject(Object value)
                           throws javax.jms.JMSException

      Specified by:
        `writeObject` in interface `javax.jms.StreamMessage`
      Throws:
        `javax.jms.JMSException`

    - #### reset

          public void reset()
                     throws javax.jms.JMSException

      Specified by:
        `reset` in interface `javax.jms.StreamMessage`
      Throws:
        `javax.jms.JMSException`

    - #### clearBody

          public void clearBody()
                         throws javax.jms.JMSException

      Specified by:
        `clearBody` in interface `javax.jms.Message`
      Overrides:
        `clearBody` in class `ActiveMQMessage`
      Throws:
        `javax.jms.JMSException`

    - #### doBeforeSend

          public void doBeforeSend()
                            throws Exception

      Overrides:
        `doBeforeSend` in class `ActiveMQMessage`
      Throws:
        `Exception`

    - #### isBodyAssignableTo

          public boolean isBodyAssignableTo(Class c)

      Specified by:
        `isBodyAssignableTo` in interface `javax.jms.Message`
      Overrides:
        `isBodyAssignableTo` in class `ActiveMQMessage`

Copyright © 2020 The Apache Software Foundation. All rights reserved.